package hinters

import (
	"image"
	"tuxpa.in/t/erm/app/darktile/termutil"
)

type HintAPI interface {
	ShowMessage(msg string)
	SetCursorToPointer()
	ResetCursor()
	Highlight(start termutil.Position, end termutil.Position, label string, img image.Image)
	ClearHighlight()
	CellSize() image.Point
}
